<dialog id="modal-change-password" class="modal">
    <div class="modal-box">
        <h3 class="font-bold text-lg">เปลี่ยนรหัสผ่าน ({{ firstName }})</h3>
        <p class="py-4">กรุณาระบุรหัสผ่านใหม่ที่ต้องการเปลี่ยน</p>
        <section>
            <label class="form-control w-full max-w-xs">
                <div class="label">
                    <span class="label-text">ระบุรหัสผ่านใหม่</span>
                </div>
                <input
                    [(ngModel)]="password"
                    type="password"
                    placeholder="New password"
                    class="input input-bordered w-full max-w-xs"
                />
                <div class="label">
                    <span class="label-text-alt"> </span>
                    <span class="label-text-alt">ความยาว 4 ตัวอักษรขึ้นไป</span>
                </div>
            </label>
        </section>
        <div class="modal-action">
            <button class="btn btn-primary" (click)="changePassword()">
                เปลี่ยนรหัสผ่าน
            </button>
            <button class="btn" (click)="closeModal()">ปิดหน้าต่าง</button>
        </div>
    </div>
</dialog>
